---
wm_packages:
  - sway
  - swayidle
  - swaylock
  - waybar
  - dunst
  - grim
  - brightnessctl
  - wlsunset
  - grimshot
  - wlogout
  - xwayland
  - wdisplays
  - rofi
  - bemenu

general_packages:
  - borgmatic
  - cups
  - docker
  - keychain
  - python3-pip
  - curl
  - make
  - tldr
  - exa
  - gnupg2
  - trash-cli
  - lshw
  - htop
  - emacs
  - mpv
  - alacritty
  - nfs-common
  - nfs-kernel-server
  - strawberry
  - newsboat
  - udiskie
  - pavucontrol
  - zathura
  - flatpak
  - blueman
  - beets
  - unrar-free
  - unzip
  - pcmanfm-qt
  - lximage-qt
  - polkit-kde-agent-1
  - screen
  - remind
  - gawk # for translate-shell
  - playerctl # for waybar music notification
  - simple-scan
  - firefox-esr
  - thunderbird
  - gimp
  - picard
  - vlc
  - calcurse

networking_packages:
  - nmap
  - whois
  - nm-tray
  - wireguard-tools
  - telnet
  - resolvconf

doom_dep_packages:
  - ripgrep
  - libtool     # Needed to compile vterm in Doom Emacs
  - libtool-bin # Needed to compile vterm in Doom Emacs
  - cmake       # Needed to compile vterm in Doom Emacs
  - discount    # Markdown Compiler
  - shellcheck  # Shell linter for Doom Emacs
  - python3-pyflakes
  - python3-isort
  - pipenv
  - python3-nose2
  - python3-nose
  - python3-pytest
  - python3-pylsp-black

ui_packages:
  - papirus-icon-theme
  - arc-theme
  - qt5ct
  - fonts-font-awesome
  - fonts-cantarell
  - fonts-noto-cjk
  - fonts-noto-core
  - fonts-hack

flatpak_packages:
  - net.ankiweb.Anki
  - org.torproject.torbrowser-launcher

veracrypt_deb_url: "https://launchpad.net/veracrypt/trunk/1.26.7/+download/veracrypt-1.26.7-Debian-12-amd64.deb"
